PPIx::Regexp::Structure::Main(3pm)

NAME
PPIx::Regexp::Structure::Main - Represent a regular expression proper, or a substitution

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{foo}smx' )
     ->print();

INHERITANCE
"PPIx::Regexp::Structure::Main" is a PPIx::Regexp::Structure.

"PPIx::Regexp::Structure::Main" is the parent of PPIx::Regexp::Structure::Regexp and PPIx::Regexp::Structure::Replacement.

DESCRIPTION
This abstract class represents one of the top-level structures in the expression. Both PPIx::Regexp::Structure::Regexp and PPIx::Regexp::Structure::Replacement are derived from it.

METHODS
This class provides the following public methods. Methods not documented here are private, and unsupported in the sense that the author reserves the right to change or remove them without notice.

  delimiters
This method returns a string representing the delimiters of a regular expression or substitution string. In the case of something like "s/foo/bar/", it will return '//' for both the regular expression and the replacement.

  interpolates
This method returns true if the regular expression or replacement interpolates, and false otherwise. All it really does is to check whether the ending delimiter is a single quote.

SUPPORT
Support is by the author. Please file bug reports at <https://github.com/trwyant/perl-PPIx-Regexp/issues> or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III harryfmudd at comcast dot net

COPYRIGHT AND LICENSE
Copyright (C) 2009-2023, 2025-2026 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.